#!/bin/bash

IN=test_tone.tone
OUT=test_tone.out.tone

./test_tone < $IN > $OUT

CH=0
CH_VOL=127

cat > test_tone.txt <<EOF
MThd
hdsz=6
fmt_type=0
track_num=1
div4=96
MTrk
trksz=0
delta=0 ctl_chg ch_vol_msb ch=$CH v=$CH_VOL
EOF

NOTE=69
VELO=127
DELTA=40
DELTA2=20

for i in $(seq 0 31) ; do
  echo "delta=0 prog_num ch=$CH v=${i}" >> test_tone.txt
  echo "delta=0 on ch=$CH note=$NOTE velo=$VELO" >> test_tone.txt
  echo "delta=$DELTA off ch=$CH note=69 velo=0" >> test_tone.txt
  echo "delta=$DELTA2 cmd=f8" >> test_tone.txt
done

cat test_tone.txt | ./midtxt -r > test_tone.mid

( echo load ; cat $OUT test_tone.mid ) | ./prog60 -play

# EOF
